/*
	sys_def.h (Rev. 1.0)

	ALS-G3-1369
	
	System Definitions Header File
	
	ALFINE P.E.P., 03.2008
*/


//ADC Interface
#define		ADC1		(unsigned int *)(0x00800000) //ADC No 1 (6 channels)
#define		ADC2		(unsigned int *)(0x00800010) //ADC No 2 (6 channels)

//DAC Interface
#define		DAC_DATA_A	(unsigned int *)(0x00800020) //DAC data channel A physical adress (PKDIS=1)
#define		DAC_DATA_B	(unsigned int *)(0x00800021) //DAC data channel B physical adress (PKDIS=1)
#define		DAC_DATA_C	(unsigned int *)(0x00800022) //DAC data channel C physical adress (PKDIS=1)
#define		DAC_DATA_D	(unsigned int *)(0x00800023) //DAC data channel D physical adress (PKDIS=1)
#define		DAC_UPDATE	(unsigned int *)(0x00800030) //DAC update physical adress (PKDIS=1)

//Inverter Interface
#define		INV_EN		(unsigned int *)(0x00800040) //Inverter interface enabled - PWM outputs active
#define		INV_DI		(unsigned int *)(0x00800050) //Inverter interface disabled - PWM outputs in HIGH state
#define		INV_STRT	(unsigned int *)(0x00800060) //External inverter START

//Inverter Interface
#define		USRCONS		(unsigned int *)(0x00800070) //User console (KBD&LCD)
